Your message dated Tue, 11 Jan 2011 11:02:21 +0000
with message-id <e1pcbzz-00005r...@franck.debian.org>
and subject line Bug#603986: fixed in qgis 1.4.0+12730-4
has caused the Debian Bug report #603986,
regarding qgis crashes on startup on PowerPC
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
603986: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=603986
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Package: qgis
Version: 1.4.0+12730-3+b2
Severity: grave
Justification: renders package unusable


qgis segfaults on startup.

(gdb) where
#0  0x0fda860c in ?? () from /usr/lib/libqgis_core.so.1.4.0
#1  0x0fda8e50 in ?? () from /usr/lib/libqgis_core.so.1.4.0
#2  0x0fdc2430 in ?? () from /usr/lib/libqgis_core.so.1.4.0
#3  0x0fdd5f28 in ?? () from /usr/lib/libqgis_core.so.1.4.0
#4  0x0fe14288 in ?? () from /usr/lib/libqgis_core.so.1.4.0
#5  0x0fe033b8 in sqlite3_step () from /usr/lib/libqgis_core.so.1.4.0
#6  0x0fcdb798 in QgsCoordinateReferenceSystem::loadFromDb(QString, QString, 
long) () from /usr/lib/libqgis_core.so.1.4.0
#7  0x0fcdbc9c in QgsCoordinateReferenceSystem::createFromEpsg(long) ()
   from /usr/lib/libqgis_core.so.1.4.0
#8  0x0fc7b928 in QgsDistanceArea::setSourceEpsgCrsId(long) ()
   from /usr/lib/libqgis_core.so.1.4.0
#9  0x0fc7cf80 in QgsDistanceArea::QgsDistanceArea() ()
   from /usr/lib/libqgis_core.so.1.4.0
#10 0x0fcaeda0 in QgsMapRenderer::QgsMapRenderer() ()
   from /usr/lib/libqgis_core.so.1.4.0
#11 0x0fb18a68 in QgsMapCanvas::QgsMapCanvas(QWidget*, char const*) ()
   from /usr/lib/libqgis_gui.so.1.4.0
#12 0x100a0668 in QgisApp::createCanvas() ()
#13 0x100b6a50 in QgisApp::QgisApp(QSplashScreen*, QWidget*, 
QFlags<Qt::WindowType>) ()
#14 0x1008ed8c in main ()



-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: powerpc (ppc)

Kernel: Linux 2.6.32-5-powerpc
Locale: LANG=en_CA.utf8, LC_CTYPE=en_CA.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages qgis depends on:
ii  libc6                   2.11.2-6         Embedded GNU C Library: Shared lib
ii  libexpat1               2.0.1-7          XML parsing C library - runtime li
ii  libgcc1                 1:4.4.5-4        GCC support library
ii  libgdal1-1.6.0          1.6.3-4+b1       Geospatial Data Abstraction Librar
ii  libgeos-c1              3.2.0-1          Geometry engine for Geographic Inf
ii  libgsl0ldbl             1.14+dfsg-1      GNU Scientific Library (GSL) -- li
ii  libpq5                  8.4.5-0squeeze1  PostgreSQL C client library
ii  libproj0                4.7.0-1          Cartographic projection library
ii  libqgis1.4.0            1.4.0+12730-3+b2 Quantum GIS - shared libraries
ii  libqt4-network          4:4.6.3-4        Qt 4 network module
ii  libqt4-sql              4:4.6.3-4        Qt 4 SQL module
ii  libqt4-svg              4:4.6.3-4        Qt 4 SVG module
ii  libqt4-webkit           4:4.6.3-4        Qt 4 WebKit module
ii  libqt4-xml              4:4.6.3-4        Qt 4 XML module
ii  libqtcore4              4:4.6.3-4        Qt 4 core module
ii  libqtgui4               4:4.6.3-4        Qt 4 GUI module
ii  libstdc++6              4.4.5-4          The GNU Standard C++ Library v3
ii  qgis-common             1.4.0+12730-3    Quantum GIS - architecture-indepen

Versions of packages qgis recommends:
ii  python-qgis             1.4.0+12730-3+b2 Python bindings to Quantum GIS
ii  qgis-plugin-grass       1.4.0+12730-3+b2 GRASS plugin for Quantum GIS

Versions of packages qgis suggests:
pn  gpsbabel                      <none>     (no description available)

-- no debconf information



--- End Message ---
--- Begin Message ---
Source: qgis
Source-Version: 1.4.0+12730-4

We believe that the bug you reported is fixed in the latest version of
qgis, which is due to be installed in the Debian FTP archive:

libqgis-dev_1.4.0+12730-4_i386.deb
  to main/q/qgis/libqgis-dev_1.4.0+12730-4_i386.deb
libqgis1.4.0_1.4.0+12730-4_i386.deb
  to main/q/qgis/libqgis1.4.0_1.4.0+12730-4_i386.deb
python-qgis-common_1.4.0+12730-4_all.deb
  to main/q/qgis/python-qgis-common_1.4.0+12730-4_all.deb
python-qgis_1.4.0+12730-4_i386.deb
  to main/q/qgis/python-qgis_1.4.0+12730-4_i386.deb
qgis-common_1.4.0+12730-4_all.deb
  to main/q/qgis/qgis-common_1.4.0+12730-4_all.deb
qgis-plugin-grass-common_1.4.0+12730-4_all.deb
  to main/q/qgis/qgis-plugin-grass-common_1.4.0+12730-4_all.deb
qgis-plugin-grass_1.4.0+12730-4_i386.deb
  to main/q/qgis/qgis-plugin-grass_1.4.0+12730-4_i386.deb
qgis_1.4.0+12730-4.diff.gz
  to main/q/qgis/qgis_1.4.0+12730-4.diff.gz
qgis_1.4.0+12730-4.dsc
  to main/q/qgis/qgis_1.4.0+12730-4.dsc
qgis_1.4.0+12730-4_i386.deb
  to main/q/qgis/qgis_1.4.0+12730-4_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 603...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Francesco Paolo Lovergine <fran...@debian.org> (supplier of updated qgis 
package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 11 Jan 2011 11:08:54 +0100
Source: qgis
Binary: qgis qgis-common libqgis1.4.0 libqgis-dev qgis-plugin-grass 
qgis-plugin-grass-common python-qgis python-qgis-common
Architecture: source i386 all
Version: 1.4.0+12730-4
Distribution: unstable
Urgency: high
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Changed-By: Francesco Paolo Lovergine <fran...@debian.org>
Description: 
 libqgis-dev - Quantum GIS - development files
 libqgis1.4.0 - Quantum GIS - shared libraries
 python-qgis - Python bindings to Quantum GIS
 python-qgis-common - Python bindings to Quantum GIS - architecture-independent 
files
 qgis       - Geographic Information System (GIS)
 qgis-common - Quantum GIS - architecture-independent data
 qgis-plugin-grass - GRASS plugin for Quantum GIS
 qgis-plugin-grass-common - GRASS plugin for Quantum GIS - 
architecture-independent data
Closes: 603986
Changes: 
 qgis (1.4.0+12730-4) unstable; urgency=high
 .
   * set "CFLAGS += -fno-strict-aliasing" for powerpc to avoid crash
     Thanks to Gabriele Giacone <1o5g4...@gmail.com> (Closes: #603986)
Checksums-Sha1: 
 e3a99de9e42849d5818a99a521bf4bebdc3df7c8 1873 qgis_1.4.0+12730-4.dsc
 75be8dd1493beba517db9fc46e8fa61a90c52bba 16543 qgis_1.4.0+12730-4.diff.gz
 2be43b8190e2fc6d19856c3aa9610f7e5f72b95f 3581868 qgis_1.4.0+12730-4_i386.deb
 c3078318942a446bb841fe83291a168d78be8ea5 4265288 
qgis-common_1.4.0+12730-4_all.deb
 0274ea634788a56db7d5897a666c9972b99ebb9b 1916076 
libqgis1.4.0_1.4.0+12730-4_i386.deb
 2333f9a732ead81bdfa13f5ee0813c4efbf4a30d 184850 
libqgis-dev_1.4.0+12730-4_i386.deb
 e6fd8ecc164eb7216594913f98c293ad6573a31f 1181650 
qgis-plugin-grass_1.4.0+12730-4_i386.deb
 a13d640ece6f65ad52c6ae2f03fddd1b52a72e47 1085286 
qgis-plugin-grass-common_1.4.0+12730-4_all.deb
 71c972be0395bb8f380231f0a458a8a638ca53ec 587746 
python-qgis_1.4.0+12730-4_i386.deb
 89cf304448b61f67e15c4f6491ed5f6a8a1d5537 704426 
python-qgis-common_1.4.0+12730-4_all.deb
Checksums-Sha256: 
 0a18bf5cae5a63917199afc041565bd1fabd9995c5d09b78d56df25f23ca1d23 1873 
qgis_1.4.0+12730-4.dsc
 a95271bcd74b7ecb5cb9fc2b3b2b183c292ea0801f8af0a48c05829a1ec16682 16543 
qgis_1.4.0+12730-4.diff.gz
 b3432414b4080916d1b84682c029be2e9d906da447549129a5ee1f9f9ed54499 3581868 
qgis_1.4.0+12730-4_i386.deb
 317abe5a25ec42175ff1a90b4ccb56f34084cfc31a3628ce314ca60b6003cc8a 4265288 
qgis-common_1.4.0+12730-4_all.deb
 9d1986925d6b66f5516bef2527aac530028d29e19ff612bc95a4d8056193d23a 1916076 
libqgis1.4.0_1.4.0+12730-4_i386.deb
 d94147e2263da6b8801237f7ee1f9b8815b586765afd8a551f53e966fa75e910 184850 
libqgis-dev_1.4.0+12730-4_i386.deb
 fc469fd810866a6d3752ab34fdbc125993c8b56a5325632d75e3b38123e9483a 1181650 
qgis-plugin-grass_1.4.0+12730-4_i386.deb
 5ce1ac1370a303775a467ea2669f667f0b66987985c850e7dabfdbe22b5d0fd4 1085286 
qgis-plugin-grass-common_1.4.0+12730-4_all.deb
 ca6cd05142896fc093a48e97baad25d0816cddeb856353afbdbef757c0070eb0 587746 
python-qgis_1.4.0+12730-4_i386.deb
 cc6be9095176aeb260e37f3c18ae2ff79e0bdbec4912eaaafca3ce83306a87cd 704426 
python-qgis-common_1.4.0+12730-4_all.deb
Files: 
 1d13e3d5edbf80808560afda171bd7cd 1873 science extra qgis_1.4.0+12730-4.dsc
 f36bb3da471b04598d9b5880baccaee5 16543 science extra qgis_1.4.0+12730-4.diff.gz
 e8feef61d4f01ac6b64cc2b32ccd0947 3581868 science extra 
qgis_1.4.0+12730-4_i386.deb
 d95d1381497e09653ba2171d5339cc73 4265288 science extra 
qgis-common_1.4.0+12730-4_all.deb
 000f6bfcfcc825531465d5c6e3806d99 1916076 science extra 
libqgis1.4.0_1.4.0+12730-4_i386.deb
 20f23bff388df2eb173ad90224a23e68 184850 libdevel extra 
libqgis-dev_1.4.0+12730-4_i386.deb
 47d9515c117c09ec8cdb96b0c8bafaf9 1181650 science extra 
qgis-plugin-grass_1.4.0+12730-4_i386.deb
 6103d5fed2f9bbe3b22eb5aa73db6e0e 1085286 science extra 
qgis-plugin-grass-common_1.4.0+12730-4_all.deb
 bd4134a49143d8f5db6ffd0aeacc19e8 587746 python extra 
python-qgis_1.4.0+12730-4_i386.deb
 3b39ff5f1b2e20fd8e92bbe4af7eeae3 704426 python extra 
python-qgis-common_1.4.0+12730-4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk0sNzQACgkQpFNRmenyx0cZMQCdEMr1FTVdAxUclp6qfCmCK/lV
DegAn1jMZTHU/PBAMO6MzkcUS/9/jwc9
=SVuF
-----END PGP SIGNATURE-----



--- End Message ---
_______________________________________________
Pkg-grass-devel mailing list
Pkg-grass-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/mailman/listinfo/pkg-grass-devel

Reply via email to